> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Report

Creates a new Report for a specific `type`. Once created, you
can retrieve the Report results from the URL returned.

## Path Parameters

## Returns

Returns a Report object.

```bash cURL theme={null}
curl https://production.methodfi.com/reports \
  -X POST \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "payments.created.current"
  }'
```

```javascript Node.js theme={null}
const report = await method.reports.create({ type: 'payments.created.current' });
```

```python Python theme={null}
report = method.reports.create({ 'type': 'payments.created.current' })
```

```json theme={null}
{
  "id": "rpt_cj2mkA3hFyHT5",
  "type": "payments.created.current",
  "url": "https://production.methodfi.com/reports/rpt_cj2mkA3hFyHT5/download",
  "status": "completed",
  "metadata": null,
  "created_at": "2021-08-25T23:18:05.261Z",
  "updated_at": "2021-08-25T23:18:05.261Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.